Все вопросы о CAD

Системы автоматизированного проектирования, конструирования и моделирования

Подразделы

  1. 137 074
    сообщения
  2. 4 406
    сообщений
  3. 6 690
    сообщений
  4. 10 097
    сообщений
  5. 8 146
    сообщений
  6. 3 144
    сообщения
  7. 43
    сообщения

673 темы в этом разделе

    • 2 ответа
    • 1 287 просмотров
    • 9 ответов
    • 2 298 просмотров
    • 32 ответа
    • 5 893 просмотра
    • 6 ответов
    • 3 535 просмотров
    • 1 ответ
    • 1 441 просмотр
    • 2 ответа
    • 3 542 просмотра
    • 15 ответов
    • 3 514 просмотра
    • 6 ответов
    • 3 449 просмотров
    • 60 ответов
    • 9 038 просмотров
    • 9 ответов
    • 2 610 просмотров
    • 47 ответов
    • 8 115 просмотров
    • 6 ответов
    • 1 953 просмотра
    • 28 ответов
    • 4 513 просмотра
    • 13 ответов
    • 2 934 просмотра
    • 6 ответов
    • 1 895 просмотров
    • 4 ответа
    • 1 592 просмотра
    • 7 ответов
    • 1 813 просмотра
    • 6 ответов
    • 1 819 просмотров
    • 3 ответа
    • 1 312 просмотра
    • 18 ответов
    • 3 198 просмотров
    • 2 ответа
    • 1 180 просмотров
    • 3 ответа
    • 1 461 просмотр
    • 2 ответа
    • 1 408 просмотров
    • 12 ответов
    • 2 448 просмотров
    • 8 ответов
    • 1 774 просмотра
    • 13 ответов
    • 2 911 просмотр
    • 307 ответов
    • 26 923 просмотра
    • 1 ответ
    • 1 301 просмотр
    • 16 ответов
    • 2 818 просмотров
    • 38 ответов
    • 5 609 просмотров
    • 83 ответа
    • 11 919 просмотров
    • 10 ответов
    • 2 198 просмотров
    • 3 ответа
    • 1 149 просмотров
    • 31 ответ
    • 5 151 просмотр
    • 11 ответов
    • 4 385 просмотров
    • 6 ответов
    • 3 261 просмотр
    • 91 ответ
    • 10 255 просмотров
    • 16 ответов
    • 3 009 просмотров
    • 2 ответа
    • 1 655 просмотров
    • 3 ответа
    • 1 498 просмотров
    • 37 ответов
    • 5 778 просмотров
    • 3 ответа
    • 1 258 просмотров
    • 4 ответа
    • 1 609 просмотров
    • 3 ответа
    • 1 555 просмотров
    • 40 ответов
    • 6 455 просмотров
    • 1 ответ
    • 1 384 просмотра
    • 22 ответа
    • 4 660 просмотров
    • 2 ответа
    • 1 210 просмотров
    • 3 ответа
    • 1 659 просмотров
    • 19 ответов
    • 3 378 просмотров
  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Сообщения

    • lexincton
      Если адрес плоскостей стандартный поместите перед выводом кругового перемещения: MOM_enable_address G_plane MOM_force once G_plane   PS: G_plane конечно должен присутствовать в кадре кругового движения
    • lexincton
      1 человек ~1,5-3 недели работы с момента получения 3D модели станка = пост + верификатор Пост и верификатор сравнительно простые -  3-осевой токарно-фрезерный, с усложнением на разделение в 3 канала и реализацией точек синхронизации На видео отладочную инфу забыли убрать в виде mom_run_number = ... поэтому видео прервано перед ошибкой @Ug_user Как человеку прожженому должно быть известно, что в подобных примерах есть проблема в драйвере по управлению ЗвПО (по крайней мере в недавних версиях)-при перемещении ЗвПО в разные стороны
    • SHARit
      Дядя Лобзик, ты дурак?
    • ChipX
    • Mrt23
      Ну извините, уважаемый @lobzik, мы не избалованы...)
    • Brain (Pinkies friend)
      Доброго времени суток! Имею задачу найти на выделенных листах объекты типа NXOpen.Annotations.IdSymbol. Выделенные листы получаю через UI.GetUI().SelectionManager.GetSelectedTaggedObject(i), где они NXOpen.View. Для поиска объектов использую AskVisibleObjects(), который ругается на все неактивные листы (DrawingSheet). На просторах сети нашёл решение, использующее "костыль" в виде открывания  листа и поиска объектов в нём. Подскажите, пожалуйста как зная вид получить ссыль на конкретный лист, зная вид. Ну или другой путь решения. Собственно, код:
        private void button1_Click(object sender, EventArgs e) { int SelectedObjNum = UI.GetUI().SelectionManager.GetNumSelectedObjects(); for (int i = 0; i <= SelectedObjNum - 1; i++) { NXOpen.NXObject selectedObject = (NXOpen.NXObject)UI.GetUI().SelectionManager.GetSelectedTaggedObject(i);//UI.GetUI().SelectionManager.GetSelectedObject(0); NXOpen.View drawingView = (NXOpen.View)selectedObject; if (selectedObject != null) { DisplayableObject[] displayableObjects = drawingView.AskVisibleObjects(); foreach (DisplayableObject disobj in displayableObjects) { if (disobj.GetType().ToString() == "NXOpen.Annotations.IdSymbol") { listBox1.Items.Add("___"); NXOpen.Annotations.IdSymbol symObject = (NXOpen.Annotations.IdSymbol)disobj; AddSymInfOnList(symObject); } } } } }  
    • LxCoder
      Товарищ LxCoder ничего не утверждает и, уж тем более, не навязывает. Делайте как вашей душе угодно, и как Вам понятнее... Нравится изобретать велосипед заново - дело Ваше. Есть косой десяток способов сделать одно и то же.   Именно. Я половины не понял, что вы понаписали и для чего вам все эти фельдиперсовые функции. Углы можно рассчитать один из другого - абсолютно любые, если понимать, что хочется получить на выходе. В G-Post математический аппарат с большим количеством параметров, настроек - он вполне достаточен (по моему личному мнению) для успешного решения 99% реальных задач. Для 1% скорее всего придется использовать некоторые свои формулы преобразования (например, для станков с не вполне обычной геометрией расположения осей, например, как в DMU 160, где угловая голова расположена под 45 градусов к оси Z...).
    • Sergei
    • lexx174
      да давно,в авиапроме в этом плане неплохо продвинулись,и в плане стандартов тоже
    • lobzik
      Если Вам заработанного на этих операциях хватает на жизнь, и Вы еще можете, к примеру, делать какие то накопления - то это не демпинг.